Bug 177588 - Review Request: mysql-administrator
Review Request: mysql-administrator
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Chabot
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2006-01-11 18:20 EST by Dennis Gilmore
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-01-12 12:02:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Dennis Gilmore 2006-01-11 18:20:42 EST
Spec Name or Url: http://ausil.us/packages/mysql-administrator.spec
SRPM Name or Url: http://ausil.us/packages/mysql-administrator-1.1.5-1.src.rpm
MySQL Administrator enables developers and DBAs to easily perform
all the command line operations visually including configuring servers,
administering users, and dynamically monitoring database health. Other
common administrative tasks such as monitoring replication status,
backup and restore, and viewing logs can also be performed through the
MySQL Administrator graphical console.
Comment 1 Chris Chabot 2006-01-11 22:25:37 EST
I've compiled & verified the functionality on devel, and taken an initial look
at the spec file.

I did notice it got confused and hung a few times while forinstance trying to
get the user list.. Also the help menu->contents doesn't do anything, but these
might be upstream issues.

I've noticed the %dir %{_datadir}/mysql-gui/administrator/ with the trailing /,
i didn't think it needed to be there?

Also rpmbuild gave me the following error:
warning: Installed (but unpackaged) file(s) found:

which indicates you forgot to include the find_lang macro to pick up the
language files:

%find_lang mysql-gui-common

and in the mysql-gui-common files part:
%files -n mysql-gui-common -f mysql-gui-common.lang 

rpmlint didn't report any errors for the build packages

I'll try to do a mock build and an official review checklist once the packaging
errors mentioned above are corrected.
Comment 2 Chris Chabot 2006-01-12 09:18:30 EST
One more note, when installing a .desktop file you should run

Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils
update-desktop-database &> /dev/null ||:

update-desktop-database &> /dev/null ||:

Comment 3 Michael Schwendt 2006-01-12 09:41:53 EST
Depends on what is included in the .desktop file. If MIME type
assignments are done, update-desktop-database must be run. Else, not.
Comment 4 Dennis Gilmore 2006-01-12 09:48:01 EST
there is no MIME type in the .desktop  so there is no need to run  
fixed the lang  files,  thanks  i missed them in the output and ive removed 
the trailing /  i changed the .desktop file options  to make it show up in 
"System Tools" menu  i feel this is the best place for it.  
updated SRPM http://ausil.us/packages/mysql-administrator-1.1.5-2.src.rpm  
updated SPEC http://ausil.us/packages/mysql-administrator.spec 
Comment 5 Chris Chabot 2006-01-12 10:00:06 EST
Woops my bad about the update-desktop, was confused by the menu item not showing up.

Giving the new package a swirl now
Comment 6 Chris Chabot 2006-01-12 10:50:07 EST
The formal review steps:

MUST review items:
- Builds cleanly on FC5 devel.
- rpmlint has no output / complaints
- Source included matches upsteam source (md5sum)
- Package name meets guidelines
- spec file name is in %{name}.spec format
- Licence (GPL) is fedora extra's compatible & is included in spec
- Spec file is in (american) english
- Does not list buildrequires that are excepted in the package guidelines
- All build dependencies are listed
- Spec file handles locales properly (thru find_lang macro)
- No so files so no ldconfig needed
- Installs propper desktop file, under fedora category, shows up in menu and
with proper icon
- All files have proper permissions (double checked with ls -al `rpm -ql
- Package is not relocatable
- No duplicate files in %files section
- No missing files in %files section
- Has a proper %clean section with rm -rf $RPM_BUILD_ROOT
- Uses macro's described in PackagingGuidelines
- No entries in %doc that are required for standard program operation
- No header files or static libs, so no need for -devel package
- Nor pkgconfig files, .so files or .la files
- Package contains GUI application, and includes proper desktop file
- Package owns directories properly

Should items:
- Includes upstream licence file (COPYING)
- Build in mock (fc5 devel)
- Could not try build on all architectures, plague will hopefully tell us :-)
- Functionality seems to work (though some problems with user admin with fedora
5's mysql 5.0.18, but that problem exists upsteam too)
- No insane scriplets, or scriplets at all
- Sane require chain (mysql-administrator requires mysql-gui-common package

FE-ACCEPTED in my book (presuming this is not your first package and needing
Comment 7 Ville Skyttä 2006-01-12 10:58:00 EST
FWIW, a couple of notes from an unsuccessful build on CentOS 4.2 (due to too old
gtkmm24 version), most likely applies to FC3 too:

- BuildRequires: gtkmm24-devel >= 2.6 (add version, 2.4.x won't work)
- BuildRequires: gettext (probably, for translations)
- In beginning of %build: export CPPFLAGS="$(pcre-config --cflags)"
  (required for old pcre)
- I *guess* that the explicit mysql and gtkmm24 dependencies might not be needed

Some or all of the above, eg. at least the minimum required gtkmm24-devel
version would be nice to have even if you're targetting FC >= 4.
Comment 8 Dennis Gilmore 2006-01-12 11:40:04 EST
Thank you for your review.    
i made a change to only include the gcc4.1 patch on fedora >4   as i got a gcc   
error on fc4 with the patch applied. everything built ok without the patch on 
i am also going to implement the version in requires. as it will help people 
who rebuild extras packages. 
Comment 9 Michael Schwendt 2006-01-12 16:35:05 EST
> mysql-gui-common : This package contains several common libraries and
> data shared among the MySQL GUI Suites in all platforms.

This is odd. The package doesn't contain any libraries at all.
How is "all platforms" supposed to be understood? The common gui
libraries are compiled and linked statically, so they cannot be
shared with any other packages currently. Are the images and Glade
files shared? If so, how?

> Requires: gtkmm24

Redundant, since an automatic dependency on the soname is added by the
rpmbuild backend.
Comment 10 Chris Chabot 2006-01-12 16:41:10 EST
Actually rpm -ql mysql-gui-common tells me it only contains language (.mo) files
and all the png's and a couple of glade files the apps use

So the description is wrong in this case
Comment 11 Dennis Gilmore 2006-01-12 17:30:20 EST
i pulled the description from the README file in the mysql-gui-common tree.  
i have been  trying to work out the best way to build mysql-query-browser  
also.  as it needs some of the files that get built in mysql-gui-common tree   
but not installed  i think i will patch the Makefile to install the neccesary  
files and create a mysql-gui-common-devel package with them.  I will remove  
the redundant Requires  
removing the mysql-gui-common package  if i try and start mysql-administrator 
i get  
[dennis@rpclnx001 ~]$ mysql-administrator 
(mysql-administrator-bin:4147): libglade-WARNING **: could not find glade file 
terminate called after throwing an instance of 'MGGladeXML::Error' 
/usr/bin/mysql-administrator: line 19:  4147 Aborted                 $PRG-bin 
so it is loading at least one glade file at run time 
I should change the description to be more appropriate  perhaps: 
this package contains  glade files images and translations used by mysql tools 
at runtime 

Note You need to log in before you can comment on or make changes to this bug.